Unexpected freezes Saucy

Bug #1227202 reported by Phill Whiteside
56
This bug affects 9 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Joseph Salisbury
Saucy
High
Joseph Salisbury

Bug Description

When using desktop-installer with lubuntu there is a freeze at the very end (bug 1225429) which also affects desktop-i386 and desktop-amd64. There are also unexplained freezes on the system when using it. Further tracking down has found http://ubuntuforums.org/showthread.php?t=2162655&page=3 and earlier today this arrived..

As for freezing we discovered that since kernel 3.10.6 zram is broken
which causes freezes and was fixed only completely in 3.12rc1. We
backported that fixes in Neptune's Kernel I am not sure if the ubuntu
kernel devs did the same.

*Von: *Nio Wiklund
*Gesendet: *Mittwoch, 18. September 2013 15:39

The links we have also found are https://lkml.org/lkml/2013/8/12/29 and https://lkml.org/lkml/2013/8/19/17

Disabling zram prevents the freeze in desktop-i386

My machine specification is http://phillw.net/hardware/aDU4RVzY although using the lower RAM (512Mb) has been achieved by KVM http://phillw.net/hardware/LuFdGuxP increasing the available RAM to 1GB does not show this error. It has also now been tested on 'real' hardware with 512Mb of RAM and is also showing the freeze (as well as with VBox).

ProblemType: Bug
DistroRelease: Ubuntu 13.10
Package: linux-image-3.11.0-7-generic 3.11.0-7.14
ProcVersionSignature: Ubuntu 3.11.0-7.13-generic 3.11.0
Uname: Linux 3.11.0-7-generic x86_64
ApportVersion: 2.12.1-0ubuntu4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: phillw 2019 F.... lxpanel
CRDA: Error: [Errno 2] No such file or directory: 'iw'
Date: Wed Sep 18 16:13:01 2013
HibernationDevice: RESUME=UUID=d98ac0ad-5c96-4382-8195-23b44e056358
InstallationDate: Installed on 2013-06-29 (81 days ago)
InstallationMedia: Lubuntu 13.10 "Saucy Salamander" - Alpha amd64 (20130628)
MachineType: Packard Bell EasyNote LJ71
MarkForUpload: True
ProcFB: 0 radeondrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-7-generic root=UUID=69c7aa0f-ccd0-4ac4-8930-e6f0efda9e6b ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-7-generic N/A
 linux-backports-modules-3.11.0-7-generic N/A
 linux-firmware 1.114
SourcePackage: linux
StagingDrivers: zram
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 09/22/2009
dmi.bios.vendor: Packard Bell
dmi.bios.version: V1.03
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: EasyNote LJ71
dmi.board.vendor: Packard Bell
dmi.board.version: V1.03
dmi.chassis.type: 10
dmi.chassis.vendor: Packard Bell
dmi.chassis.version: V1.03
dmi.modalias: dmi:bvnPackardBell:bvrV1.03:bd09/22/2009:svnPackardBell:pnEasyNoteLJ71:pvrV1.03:rvnPackardBell:rnEasyNoteLJ71:rvrV1.03:cvnPackardBell:ct10:cvrV1.03:
dmi.product.name: EasyNote LJ71
dmi.product.version: V1.03
dmi.sys.vendor: Packard Bell

Revision history for this message
Phill Whiteside (phillw) wrote :
Revision history for this message
Brad Figg (brad-figg) wrote : Status changed to Confirmed

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Revision history for this message
sudodus (nio-wiklund) wrote :

I'm rather convinced it is the zRAM bug, that Leszek Lesner described earlier today. I reported success with 768 MB RAM, and now I have succeeded also with 512 MB RAM to install from saucy-desktop-i386.iso without any freeze, when zRAM was switched off. This is half of the RAM necessary to succeed with zRAM (1024 MB), while the limit for the 64-bit version was 1280 MB.

So it seems, we need enough RAM to avoid swapping to avoid freezing when the buggy combination of kernel and zRAM is active.

Changed in linux (Ubuntu):
importance: Undecided → High
Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1227202

tags: added: iso-testing
Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
status: Confirmed → In Progress
Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Commit a0c516cbfc was cc'd to <email address hidden>, so it will eventually make it into the Ubuntu kernel through the normal stable update process.

However, we should be able to cherry-pick this commit into Saucy until it trickles down from stable. I'll build a test kernel with this commit and post a link to it shortly.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I built a test kernel with commit a0c516c applied. The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1227202/

Can you test this kernel and post back if it resolves this bug?

Revision history for this message
Phill Whiteside (phillw) wrote :

The kernel boots and system does not crash when asked to use swap. An ISO needs to be generated to check that this does fix the issue with the installer system. (This is just an update from email and IRC conversations for people following the bug).

Revision history for this message
Lars Noodén (larsnooden) wrote :

I did try this kernel the other day and the system did lock up just like the one in the repository:

 linux-image-3.11.0-7-generic_3.11.0-7.14~lp1227202v1_amd64.deb

The system still locks up even with the latest kernel from the repository --

 Linux lubuntu 3.11.0-7-generic #14-Ubuntu SMP Mon Sep 16 18:37:27 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

-- unless zram is turned off. After about 3 days of usage, I have yet to encounter a freeze after setting the following:

 sudo swapoff /dev/zram0
 sudo swapoff /dev/zram1
 sudo rmmod zram

With zram on, the system will freeze sooner or later. Sometime it is within 15 minutes of cold boot. Other times, it will go for many hours.

Revision history for this message
Phill Whiteside (phillw) wrote :

I'm beginning the thought that http://ubuntuforums.org/showthread.php?t=2162655&p=12735571#post12735571 actually holds the key to this issue. They may well be 2 separate bugs, but they both head towards zram. It seems very broken.

Revision history for this message
sudodus (nio-wiklund) wrote :
Download full text (4.7 KiB)

Help for Lubuntu testers:

1. Test with the daily build as it is but with zRAM turned off

If you want to test how the installation and installed system works, turn off zRAM with the following commands (as shown briefly above in post #8). Do it *before* you start the installation, or at the beginning of the installed session. If you select 'Install Lubuntu' you can right-click on the background and select a terminal emulator (LXterminal).

Will it solve the problems in your computer, or will it still freeze?

Open LXTerminal

sudo swapoff /dev/zram0
sudo swapoff /dev/zram1
...
until all zram devices are switched off. Check with

sudo swapon -s

and finally run

sudo rmmod zram

1a. Test to install with low RAM - AMD64 (64-bit kernel)

This time testing the newest daily build (Sep 17 2013) of

saucy-desktop-amd64.iso

in my Toshiba (a direct install, no virtualisation)

http://www.toshiba.se/laptops/satellite-pro/c850/satellite-pro-c850-19w/

using mem=xxxM to limit the RAM usage

RAM = 512 MB, 768 MB and 1024 MB

i. Finished gracefully, but froze after I clicked reboot. Working system
installed (available after 'force reboot' looooong press of power
button, SysRq REISUB not responding).

ii. Tried again and it froze very early, before copying files.

iii. Powered off for a long time. Removed the USB pendrive. Tried again
and had the same result as the first time: Finished gracefully. I could
peek behind the curtain with ctrl+alt+F1: I could see that a lot of data
were swapped (more than 250 MB), which might not be available in a
virtual system with a small virtual disk.

But it froze after I clicked reboot ... as the first time

Something in the system remembers old data. It seems that all variables
are not initiated, which is a horrible bug. I've had such problems long
ago, when I was developing and debugging programs. It is hard to tell if
it is some firmware, the BIOS or Lubuntu that is guilty.

Tried only once with 768 MB RAM and 1024 MB: Finished gracefully, but
froze after I clicked reboot.

RAM 1280 MB

Finished gracefully, and no freeze. "Please remove ... and press Enter"
not visible because graphics mode, bug 966480. And it did reboot after
pressing Enter. Working system installed.
--
Comment 1: Install was selected directly at the syslinux screen (not via
live desktop). I did not use the mouse only keyboard keys, and used the
very simplest install 'use the whole disk'.

Comment 2: at RAM = 1280 MB KVM behaved like the real computer except
that plymouth run in graphical mode in the real computer, but in text
mode in KVM.

1b. Test to install with low RAM - i386 (32-bit kernel)

Finally, I tested the newest daily build (Sep 17 2013) of the 32-bit
Lubuntu saucy-desktop-i386.iso

in the same machine and with the same conditions.

RAM = 384, 512 MB, 768 MB

Finished gracefully, but froze after I clicked reboot. Working system
installed.

RAM = 1024 MB

No freeze, but waiting for Enter, and then finishing and rebooting properly.

This is only slightly better than the 64-bit version, and it is much
worse that during early Saucy alpha (or pre-alpha) stages, when the
32-bit desktop installer for Lubuntu might work with 384 MB RAM, and
de...

Read more...

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

It sounds like the test kernel I created did not fix this issue, per comment #8. This test kernel was built with a cherry-pick of commit a0c516c. Lars, did you test this by creating an iso with my test kernel, or did you just reboot into the test kernel, and you can still reproduce the bug that way.

Also, would it be possible for you to test v3.12-rc1? The initial description says this bug is fixed in that kernel, so it would be good to confirm if it is or not:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc1-saucy/

Revision history for this message
Phill Whiteside (phillw) wrote :

hi Joe,

I downloaded http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc1-saucy/linux-headers-3.12.0-031200rc1-generic_3.12.0-031200rc1.201309161735_amd64.deb and then did

 sudo dpkg -i linux-image-3.12.0-031200rc1-generic_3.12.0-031200rc1.201309161735_amd64.deb

Here goes a reboot.... wish me luck :)

Revision history for this message
Phill Whiteside (phillw) wrote :

Joe,

the new kernel does not have the error as reported on http://ubuntuforums.org/showthread.php?t=2162655&p=12735571#post12735571

I think, there for that the zram team have been true to their word of having it fixed. This close to kernel freeze, apart from zero, what are the chances of bumping up to 3.12 kernel? All the testers I know will go an extra mile to have this issue resolved. Back in your court now.

Revision history for this message
Phill Whiteside (phillw) wrote :

Joe,

there is also http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.12-rc2-saucy/

I've not pulled that one in, as you requested rc1. I'm happy to pull that one in if requested.

Phill.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

It was decided that Saucy would be based on the 3.11 kernel, so I think it's too far along in the release for that to change.

Did my test kernel in comment #6 also resolve this bug, or just the v3.12-rc1 kernel?

Also, per your email, are you not seeing the bug in the 3.11.0-8.15 kernel anymore?

I think there are multiple bugs being discussed. If that is the case, we should split each issue into it's own bug report, so we can track and address them properly.

Revision history for this message
Phill Whiteside (phillw) wrote :

The kernel in #6 does not crash, but there has not been an ISO made with it in to see if it resolves the hang at the end of desktop install of Lubuntu on Low RAM machines.

Revision history for this message
sudodus (nio-wiklund) wrote :

The kernel in #6 has not crashed for me (and I have tested it for several days), but if I understand correctly, it has crashed for another tester, Lars Noodén. Please ask him directly to determine if that is correct.

I cannot determine, which bug is causing which crash, unless guided by you or someone else.

I would also like to get an ISO file with that kernel (in post #6) in order to test installing.

Revision history for this message
Julien Lavergne (gilir) wrote :

Joseph,

Did your kernel modified include just this patch : https://lkml.org/lkml/2013/8/12/29 ? If yes, as it only touch zram, and as Lubuntu is the only flavor using it by default, is it possible to cheery-pick it for the next kernel update ? I don't think it will be worse with it included (nobody report a regression with it). If it will, the risk is only major for Lubuntu (and I'm ok to take this risk for us). At least, having it on a daily ISO will make it possible to debug other issues we are facing.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Yes, Julien. That is the patch that I cherry-picked into the test kernel.

That commit was Cc'd to stable, so it will make it's way into the 3.11 and other stable kernels through the normal stable update process.

I can submit an SRU request to have this commit cherry-picked into Saucy while we wait for the fix to trickle down from stable. However, there seems to have been some conflicting comments on whether or not this commit fixes this bug. I will submit an SRU request once we can confirm this patch does in fact fix this bug.

Thanks again for all the help testing!

Revision history for this message
Paul Ferraro (pmf8) wrote :

For what it's worth, I haven't encountered a hard freeze using zram with both the 3.12-rc1 and rc2 kernels. Using the 3.11.x kernels from the official repository, I am able to trigger a system lockup very easily (e.g. running several Eclipse instances, or compiling a large project, etc.)

Revision history for this message
sudodus (nio-wiklund) wrote :

I have tested the Lubuntu Saucy beta2 ISO files now, live, installing and installed. It is easy to provoke a crash using the kernels (i386 and amd64), that come with the ISO files.

I installed the kernel in post #6 into this beta2 amd64 version, and it has *not* crashed for me. But I have had no chance to test the installation process. I can only guess, that it would work with the debugged kernel.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I created a test ISO that includes a test kernel built with a cherry-pick of commit a0c516c. The test ISO can be downloaded from:

http://kernel.ubuntu.com/~jsalisbury/lp1227202/ubuntu-13.10-desktop-amd64-lp1227202.iso

Can folks test this ISO and post back if it resolves the bug?

Revision history for this message
Phill Whiteside (phillw) wrote :

I'm grabbing now, but a full ISO takes a while on my 'narrow' band. could you post up the md5sum of the ISO so we know we have a non-corrupted version. as regards to the other issue(s), these are reported by amd-mac / 32 bit /ppc etc. which do not have access to the cherry-picked kernel fix as there is only the 'standard' AMD64 bit available. The testers are very eager to get their hands on such kernels to see if it does indeed stop the random freezes and also allows a full suite of ISO's to be built. I do concur that there may be another bug affecting zram and 3.11.x kernel, but one step at a time. If this fixes the installer issue, the testers can then run with the kernel and see if they get random freezes after install.

Thanks for your continued work on this issue,
Phill.

Revision history for this message
sudodus (nio-wiklund) wrote :

Joseph,

I downloaded the ISO file of post #22. Please confirm or correct the following size and md5sum!

wc -c ubuntu-13.10-desktop-amd64-lp1227202.iso
1049980928 ubuntu-13.10-desktop-amd64-lp1227202.iso

md5sum ubuntu-13.10-desktop-amd64-lp1227202.iso
e939fec65cd6d9a01689b22468f2300a ubuntu-13.10-desktop-amd64-lp1227202.iso

Thanks for your continued work on this issue,
Nio

Revision history for this message
Phill Whiteside (phillw) wrote :

Nio,

I've just pulled it into my dedi-server...

Length: 1049980928 (1001M) [application/x-iso9660-image]
 appears to match your file length and md5sum gives
e939fec65cd6d9a01689b22468f2300a ubuntu-13.10-desktop-amd64-lp1227202.iso

That's as close as I can get to confirm things.

Regards,
Phill.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

Here's the info from the original ISOs I uploaded.

wc -c ubuntu-13.10-desktop-amd64-lp1227202.iso
1049980928 ubuntu-13.10-desktop-amd64-lp1227202.iso

md5sum ubuntu-13.10-desktop-amd64-lp1227202.iso
e939fec65cd6d9a01689b22468f2300a ubuntu-13.10-desktop-amd64-lp1227202.iso

Revision history for this message
Phill Whiteside (phillw) wrote :

Joe,

thanks, that's great... we have the same figures!

Phill.

Revision history for this message
sudodus (nio-wiklund) wrote :

I have Ubuntu running in KVM. The live desktop is OK with a VGA screen. But ...

1. Ubiquity starts but only in the background. There is no window. How can I test installing?

2. There is no zram. When I try to install zram-config, apt-get complains: Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/z/zram-config_0.1_all.deb Could not resolve 'archive.ubuntu.com'

What should I do? Need I activate some more repository?

Revision history for this message
Phill Whiteside (phillw) wrote :

Nio,

I still have 90 mins to go for my local download to be completed. As you have seen, I've asked on lubuntu-qa mail listing to see if there are others who can get a test done more quickly. If I use QEMU to fire up a KVM on my dedi server, it will slow down the down-load to my local machine which is a lot easier for me to work with. Using GUI across my slow speed link is painful. I'll have a result in ~ 2.5 hours.

Phill.

Revision history for this message
sudodus (nio-wiklund) wrote :

Will it work for us at all to test installing with zram using this Ubuntu ISO file, or must we to get a Lubuntu ISO file?

Revision history for this message
Phill Whiteside (phillw) wrote :

Ubuntu ISO is 1GB+ in size (hence it taking so long for me to download it). Lubuntu ISO's are CD sized at ~700MB :) Beggars can't be choosers! 512MB is the absolute minimum for Ubuntu (from in 13.04 release), I've not tried a Ubuntu 13.10 ISO this testing cycle so far.

Phill.

Revision history for this message
sudodus (nio-wiklund) wrote :

The 'install Ubuntu' menu item works, and I can start text screens with ctrl+alt+F2 ... , but still, I cannot activate zram.

Revision history for this message
Phill Whiteside (phillw) wrote :

Hi Joe,

install went okay, (slow, but to be accepted with 512MB RAM and Ubuntu). Reboot did not freeze and the system rebooted fine. Uses a heck of a lot of swap (again to be expected). So, the major bug is now resolved. We can now look at other issues once we have a full set of ISO's for lubuntu.

You are a star of the 1st magnitude!

Phill.

Revision history for this message
sudodus (nio-wiklund) wrote : Re: [Bug 1227202] Re: Unexpected freezes Saucy

On 2013-09-26 00:45, Phill Whiteside wrote:
> Hi Joe,
>
> install went okay, (slow, but to be accepted with 512MB RAM and Ubuntu).
> Reboot did not freeze and the system rebooted fine. Uses a heck of a lot
> of swap (again to be expected). So, the major bug is now resolved. We
> can now look at other issues once we have a full set of ISO's for
> lubuntu.
>
> You are a star of the 1st magnitude!
>
> Phill.
>

Hi Phill,

Running from the menu item

'Install Ubuntu'

and looking behind the curtain' with ctrl + alt + F2 (or the
corresponding key combo emulation in KVM), I see no zram block devices with

swapon -s

How did you activate zRAM or check that it is really running? Or did you
just assume that it is?

Best regards
Nio

Revision history for this message
sudodus (nio-wiklund) wrote :

Hi Joseph,

Testing the ISO file of post #22:

When zram is running in Lubuntu I can see zram block devices with
swapon -s
but I can see no such devices running from this ISO file.

- Is zram running although I see no zram block devices?
- How can I activate zRAM or check that it is really running?
- Or is this 'only' a test how the installation works with the new kernel and zram switched off?

See the following lists with commands and output.

Best regards
Nio

----- Lubuntu installed -----
tester@tester-SATELLITE-PRO-C850-19W:/etc$ sudo grep -R ^Name=.*Logo * 2>/dev/null
alternatives/default.plymouth:Name=Lubuntu Logo

tester@tester-SATELLITE-PRO-C850-19W:/etc$ster@tester-SATELLITE-PRO-C850-19W:/etc$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Saucy Salamander (development branch)
Release: 13.10
Codename: saucy

tester@tester-SATELLITE-PRO-C850-19W:/etc$ uname -a
Linux tester-SATELLITE-PRO-C850-19W 3.11.0-7-generic #14~lp1227202v1 SMP Wed Sep 18 16:02:47 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

tester@tester-SATELLITE-PRO-C850-19W:/etc$ swapon -s
Filename Type Size Used Priority
/dev/sda2 partition 5058128 0 -1
/dev/zram0 partition 491096 0 5
/dev/zram1 partition 491096 0 5
/dev/zram2 partition 491096 0 5
/dev/zram3 partition 491096 0 5
tester@tester-SATELLITE-PRO-C850-19W:/etc$

----- Ubuntu live in KVM -----
sudo grep -R ^Name=.*Logo * 2>/dev/null
alternatives/default.plymouth:Name=Ubuntu Logo

lsb_release -a
Distributor ID: Ubuntu
Description: Ubuntu Saucy Salamander (development branch)
Release: 13.10
Codename: saucy

uname -a
Linux ubuntu 3.11.0-7-generic #14~lp1227202v1 SMP Wed Sep 18 16:02:47 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

swapon -s
Filename Type Size Used Priority
/dev/vda5 partition 1961980 0 -1
-----

Revision history for this message
Phill Whiteside (phillw) wrote :

Hi Nio,

with the new kernel, zram is turned off. It not only causes the fail after install, is suspected of random freezes that we've seen but also http://ubuntuforums.org/showthread.php?t=2162655&page=3 It's a shame they didn't file a bug back then as we'd have had much more time to investigate :(

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

The ISO is the standard Ubuntu Saucy ISO with a patched kernel, that has commit a0c516c applied. ZRAM is configured as a module in Saucy:
CONFIG_ZRAM=m

I'm not exactly sure how lubuntu enables ZRAM during installation time? Do you have a way to enable ZRAM like mentioned in comment #10? Maybe you could do something like the following before starting the installation:

sudo modprobe zram
sudo swapon /dev/zram0

Revision history for this message
sudodus (nio-wiklund) wrote :

I can try it.

I understand the sudo commands, but how to apply 'CONFIG_ZRAM=m'? Is it a boot option? Or should it be entered in a config file somewhere?

Revision history for this message
Phill Whiteside (phillw) wrote :

i *think* lubuntu uses a slightly different setting for configuring up zram in our desktop images. This was turned on only for lubuntu-desktop as far as I'm aware (e.g. does not apply to alternate).

Revision history for this message
Julien Lavergne (gilir) wrote :

On Lubuntu, we just use zram-config package to enable zram, which use an upstart job to start it.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

The commit that resolves this bug has been queued up for the 3.11.2 upstream release. The fix can be found in

~/stable-queue/releases/3.11.2/zram-don-t-grab-mutex-in-zram_slot_free_noity.patch

Revision history for this message
Phill Whiteside (phillw) wrote :

Joe, it may be worth looking at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1215379 to see if we would be going that route (all far too technical for me !).

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

I sent a request to have this patch included in Saucy, until Saucy is rebased to upstream 3.11.2.

Revision history for this message
Joseph Salisbury (jsalisbury) wrote :

This patch came in with 3.11.2 and has been uploaded as part of linux 3.11.0-9.16.

Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Committed
Revision history for this message
Andy Whitcroft (apw) wrote :

3.11.0-9.16 is now in -release.

Changed in linux (Ubuntu Saucy):
status: Fix Committed → Fix Released
Revision history for this message
Phill Whiteside (phillw) wrote :

Hi Nio,

I just popped desktop amd64 onto my VM, no hang and..

swapon -s reports zram as being in use.

Happy days!

Phill.

Revision history for this message
Lars Noodén (larsnooden) wrote :

It might be fixed. The bug 1225429, hanging at the end of the installation, seems to have been cured and after more than a day of operation, no freezes so far.

 Linux lubuntu 3.11.0-9-generic #16-Ubuntu SMP Fri Sep 27 15:08:11 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Phill, you had a way of making the machine freeze on demand. Does that still work for you?

Revision history for this message
amjjawad  (amjjawad) wrote :

Linux saucy-desktop 3.11.0-9-generic #16-Ubuntu SMP Fri Sep 27 15:08:11 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

Posting this from Saucy Daily Build (01-10-2013) amd64 Fresh Install and I can confirm the isntallation is done successfully from the frist try and after installation, everything is okay.

From both "top" and "free -m" I can see zram is enabled by default.

If you need any more infromation, I will be very glad to provide.

Installation done from LiveUSB Created by UNetbootin on P4 64bit with less than 512MB RAM.

Revision history for this message
sudodus (nio-wiklund) wrote : Re: [Bug 1227202] Re: Unexpected freezes Saucy

On 2013-10-01 18:02, Phill Whiteside wrote:
> Hi Nio,
>
> I just popped desktop amd64 onto my VM, no hang and..
>
> swapon -s reports zram as being in use.
>
> Happy days!
>
> Phill.
>
Great news :-)

Nio

Revision history for this message
Phill Whiteside (phillw) wrote :

As requested, the other issue has been reported at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1235525 this is for saucy. For reporting in raring, please raise a new bug report and mention the 1235525 bug so the kernel team can look into what the issue is.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers